Create project transfer request
POST
https://api.vercel.com/projects/{idOrName}/transfer-requestInitiates a project transfer request from one team to another.
Returns a
Users can also accept the project transfer request using the claim URL:
The
The
Returns a
code that remains valid for 24 hours and can be used to accept the transfer request by another team using the PUT /projects/transfer-request/:code endpoint. Users can also accept the project transfer request using the claim URL:
https://vercel.com/claim-deployment?code=<code>&returnUrl=<returnUrl>. The
code parameter specifies the project transfer request code generated using this endpoint. The
returnUrl parameter redirects users to a specific page of the application if the claim URL is invalid or expired.Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.projects.createProjectTransferRequest({ idOrName: "<value>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "code": "string"}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
409Error
410Error